/*
 * Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#include "mapped_user_memory.hpp"

using namespace device_abstraction;

mapped_user_memory::mapped_user_memory(void *address, size_t size, size_t page_size, uint32_t access_flags) noexcept
	:m_address(address),
	m_size(size),
	m_page_size(page_size),
	m_access_flags(access_flags)
{
}
