/*
 * Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#pragma once

#include <stdio.h>
#include <priv_doca_compat.h>

namespace os_abstraction
{

/**
 * @brief This method returns memory page size.
 * @return size_t.
 */
DOCA_PRIVATE
size_t priv_doca_get_page_size();

} // namespace os_abstraction
