/*
 * Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#ifndef DPDK_PIPE_LPM_H_
#define DPDK_PIPE_LPM_H_

#include "dpdk_pipe_legacy.h"

#ifdef __cplusplus
extern "C" {
#endif

struct dpdk_pipe_type_ops *
dpdk_pipe_lpm_get_ops(void);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* DPDK_PIPE_LPM_H_ */
