/*
 * Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#ifndef DPDK_UTILITIES_H_
#define DPDK_UTILITIES_H_

void
dpdk_raw_data_build(uint8_t **header,
	const struct doca_flow_encap_action *encap_data,
	uint16_t flags, bool is_encap);

int
dpdk_utils_build_encap_raw_data(const struct doca_flow_actions *pkt_action,
	uint8_t *header, struct rte_flow_action_raw_decap **decap_conf,
	struct rte_flow_action_raw_decap *conf, uint8_t *data);

#endif /* DPDK_UTILITIES_H_ */
