/*
 * Copyright (c) 2022 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#pragma once

#include <priv_doca_compat.h>

namespace os_abstraction
{

/**
 * @brief This method returns the process id.
 * @return process id (as int).
 */
DOCA_PRIVATE
int priv_doca_get_process_id();

} // namespace os_abstraction